package org.rakura.rsupdater.util;

public class Association<K, V> {

	private K key;
	private V value;

	public synchronized K getKey() {
		return key;
	}

	public synchronized V getValue() {
		return value;
	}

	public synchronized void associate(K key, V value) {
		this.key = key;
		this.value = value;
	}

}