package org.rakura.rsupdater.identifiers;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface RSIdentifierManifest {

	Class<? extends RSIdentifier>[] dependencies() default {};

	int identifications() default 0;

}